Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Borderlands 2 steam (fixed)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Tue Jan 02, 2018 2:11 am    Post subject: Borderlands 2 steam (fixed) Reply with quote

getting this error in /var/log/messages

Code:
Jan  1 20:55:42 Iris kernel: traps: Borderlands2[14657] general protection ip:f782cfc0 sp:ffe177b8 error:0 in libc-2.26.so[f77f8000+1d9000]


on ~amd64 with AMD cpu, AMD gpu with mesa drivers.

[Moderator edit: added [code] tags to preserve output layout. -Hu]

EDIT and fix: so the problem was with gcc-7.3 and bugs it had, things like the mstackrealign on glibc and others was a workaround, but upgrading and rebuilding with gcc-8 fixed all the bugs for me and everything works great, videos and all.
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat


Last edited by djdunn on Sat Jun 23, 2018 12:11 am; edited 1 time in total
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5689
Location: Removed by Neddy

PostPosted: Fri Jan 05, 2018 1:30 pm    Post subject: Reply with quote

probably downto libstd++ mismatch

have this set in your environment variables: STEAM_RUNTIME_PREFER_HOST_LIBRARIES=1 will force steam to prefer your system libs over the older steam libs
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Sun Jan 07, 2018 11:47 pm    Post subject: Reply with quote

CIPCServer::Thr[14561]: segfault at 1 ip 0000000000000001 sp 00000000e75feddc error 14 in steam[56588000+3f4000]

tried that and got this.
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5689
Location: Removed by Neddy

PostPosted: Sun Jan 07, 2018 11:53 pm    Post subject: Reply with quote

ok, change the launch options (in steam) and add: SSL_CERT_DIR="/etc/ssl/certs" LD_PRELOAD='./libcxxrt.so:/usr/$LIB/libstdc++.so.6' %command%
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Mon Jan 08, 2018 1:15 am    Post subject: Reply with quote

Code:
Jan  7 20:14:24 Iris kernel: [10397.448894] traps: Borderlands2[14377] general protection ip:f7b85172 sp:ffc80b98 error:0 in libpthread-2.26.so[f7b78000+1c000]


now this one.

[Moderator edit: added [code] tags to preserve output layout. -Hu]
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat
Back to top
View user's profile Send private message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Mon Jan 08, 2018 1:17 am    Post subject: Reply with quote

Code:
Jan  7 20:17:04 Iris kernel: [10556.789767] traps: Borderlands2[18405] general protection ip:f7303299 sp:ffcb2668 error:0 in libxcb.so.1.1.0[f72f8000+2a000]


[Moderator edit: added [code] tags to preserve output layout. -Hu]
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat
Back to top
View user's profile Send private message
PuckPoltergeist
Apprentice
Apprentice


Joined: 28 Jul 2004
Posts: 189

PostPosted: Tue Mar 13, 2018 7:30 pm    Post subject: Reply with quote

I've had the same problem on my amdfam10 machine and after some search I found this: https://bugs.archlinux.org/task/54136

Stack alignment is the problem here too. I've identified the following packages need to be build with -mstackrealign:
Code:

sys-libs/glibc
x11-libs/libxcb
media-libs/openal
media-sound/pulseaudio


Unfortunately for glibc this means hacking the eclass. But after recompiling the packages Borderlands2 works again for me.
_________________
printk(KERN_CRIT "Whee.. Swapped out page in kernel page table\n");
linux-2.6.6/mm/vmalloc.c
Back to top
View user's profile Send private message
ziemia
n00b
n00b


Joined: 21 Sep 2005
Posts: 58

PostPosted: Wed Mar 14, 2018 1:42 pm    Post subject: Reply with quote

I've had the same problem - amdfam10. For me it was enough to recompile
Code:
sys-libs/glibc
with
Code:
-march=opteron-sse3
Back to top
View user's profile Send private message
mcraeaa
n00b
n00b


Joined: 29 Aug 2007
Posts: 4

PostPosted: Thu Mar 22, 2018 1:59 am    Post subject: Reply with quote

Re-compiling the packages PuckPoltergeist mentioned also worked on my Ryzen machine. Thanks!
Back to top
View user's profile Send private message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Sat Mar 31, 2018 4:57 am    Post subject: Reply with quote

i got it to work compiling only glibc with -mstackrealign
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1828
Location: Here and Away Again

PostPosted: Sat Mar 31, 2018 1:22 pm    Post subject: Reply with quote

At least Portal 2 seems to be affected by something similar, as I mentioned here: After profile switch 13.0-17.0 Wine apps stop working

Portal 2 would work just fine until certain audio clips are played (a character start speaking somewhere in the game level).

That's on an Athlon 7750 (amdfam10) stable amd64 testing machine.

On the other hand, I do /not/ see the issue on my main, Ryzen 1700 (znver1) unstable ~amd64 machine.
_________________
Kind Regards,
The Noob Unlimited


You might remember me from Gentoo projects such as Forums, LXQt, Qt, and Wine.
Back to top
View user's profile Send private message
djdunn
l33t
l33t


Joined: 26 Dec 2004
Posts: 780
Location: Arrakis

PostPosted: Sat Jun 23, 2018 12:10 am    Post subject: Reply with quote

had to upgrade and rebuild things with gcc-8 to get the bugs ironed out.

likely the bugs with like gcc-7.3 that got fixed in gcc-8

no mstackrealign on glibc or anything else either.
_________________
A process cannot be understood by stopping it. Understanding must move with the flow of the process, must join it and flow with it.

-The First Law of Mentat
Back to top
View user's profile Send private message
kajzer
Guru
Guru


Joined: 27 Nov 2014
Posts: 468

PostPosted: Thu Feb 07, 2019 1:20 pm    Post subject: Reply with quote

Doesn't launch here, gcc 8.2.0 , znver1
Other games are working fine.
Any clue?

Code:
traps: Borderlands2[25711] general protection fault ip:f7427845 sp:ffbc81a8 error:0 in libxcb.so.1.1.0[f741c000+2c000]


Edit:
Never mind, found the solution here, if someone needs it in the future here it is:
https://www.gamersonlinux.com/forum/threads/steam-on-non-ubuntu-64bit.2404/
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5689
Location: Removed by Neddy

PostPosted: Sat Mar 30, 2019 9:43 am    Post subject: Reply with quote

old topic but I wanted to restart BL2 and running into this now :(
gcc-8.3 I have done the recompiling of libxcb but I am facing

Quote:
[ 4618.086849] traps: Borderlands2[15374] general protection fault ip:f7b3d287 sp:ff8bc5d8 error:0 in libpthread-2.28.so[f7b2f000+1e000]

_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
kajzer
Guru
Guru


Joined: 27 Nov 2014
Posts: 468

PostPosted: Sat Mar 30, 2019 3:18 pm    Post subject: Reply with quote

Old topic but still actual, once I solved the error I had with libxcb.so I was greeted with that libpthread.so error next
Both are solvable with CFLAGS, at least the first one surely is because I tried it, but I didn't wanna mess with glibc and some other libs to solve the second one
I get that error with Kotor2 as well, I just decided not to play those games for now.
In my case altering CFLAGS for glibc wasn't enough.
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5689
Location: Removed by Neddy

PostPosted: Sat Mar 30, 2019 8:10 pm    Post subject: Reply with quote

I fixed this by disabling "prefer client libraries" looks like the issue is sort of still there but the steam runtimes are now isolated enough
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
Wadlax
n00b
n00b


Joined: 12 Jan 2008
Posts: 9

PostPosted: Sun Apr 21, 2019 4:16 pm    Post subject: Reply with quote

Found a simple solution from Gentoo Wiki:
( https://wiki.gentoo.org/wiki/Steam/Games_troubleshooting#Borderlands_2_and_Borderlands:_The_Pre-Sequel )
"try adding -nostartupmovies to the launch options"

So, my current launch options is
Code:
SSL_CERT_DIR="/etc/ssl/certs"  %command% -nostartupmovies


I had an error:
"Borderlands2 general protection fault ip: sp: error:0 in libxcb.so.1.1.0"
and then
"Borderlands2 general protection fault ip: sp: error:0 in libpthread-2.28.so"
Back to top
View user's profile Send private message
kajzer
Guru
Guru


Joined: 27 Nov 2014
Posts: 468

PostPosted: Mon Apr 22, 2019 10:43 am    Post subject: Reply with quote

I have the same error but that didn't help.
Maybe video card matters will that help or not, I'm using amdgpu driver
Back to top
View user's profile Send private message
Wadlax
n00b
n00b


Joined: 12 Jan 2008
Posts: 9

PostPosted: Fri Apr 26, 2019 2:21 pm    Post subject: Reply with quote

I use radeonsi

For now i have such changes:

1) In steam - launch options
Code:
SSL_CERT_DIR="/etc/ssl/certs"  %command% -nostartupmovies


2) In /etc/portage/env/x11-libs/libxcb and in /etc/portage/env/sys-libs/glibc
Code:
CFLAGS="-O1 -march=native -pipe"
CXXFLAGS="${CFLAGS}"

Recompiled these packages of course.

3) Edited willowengine.ini , as mentioned in wiki.
.

First i have added only 2) step - game failed to start with msg
"Borderlands2 general protection fault ip: sp: error:0 in libpthread-2.28.so"
.

May be you should try these step from wiki
"Another solution is to recompile x11-libs/libxcb with -O1, media-sound/pulseaudio with -O1 and without -march and sys-libs/glibc without -march."
Back to top
View user's profile Send private message
harrymnd
n00b
n00b


Joined: 06 Jan 2019
Posts: 2

PostPosted: Tue May 14, 2019 3:34 am    Post subject: Reply with quote

Wadlax wrote:
I use radeonsi

For now i have such changes:

1) In steam - launch options
Code:
SSL_CERT_DIR="/etc/ssl/certs"  %command% -nostartupmovies


2) In /etc/portage/env/x11-libs/libxcb and in /etc/portage/env/sys-libs/glibc
Code:
CFLAGS="-O1 -march=native -pipe"
CXXFLAGS="${CFLAGS}"

Recompiled these packages of course.

3) Edited willowengine.ini , as mentioned in wiki.
.

First i have added only 2) step - game failed to start with msg
"Borderlands2 general protection fault ip: sp: error:0 in libpthread-2.28.so"
.

May be you should try these step from wiki
"Another solution is to recompile x11-libs/libxcb with -O1, media-sound/pulseaudio with -O1 and without -march and sys-libs/glibc without -march."


Thanks it works on my problem after updating / fixing my vidcard gtx issue.
Back to top
View user's profile Send private message
Wadlax
n00b
n00b


Joined: 12 Jan 2008
Posts: 9

PostPosted: Thu May 16, 2019 10:46 am    Post subject: Reply with quote

And for me - game segfaults now :)
Borderlands2[]: segfault at d ip ... sp ... error 4 in Borderlands2[]

Anyways - playing other games now.
Back to top
View user's profile Send private message
lordoftheworld
n00b
n00b


Joined: 16 Jun 2004
Posts: 11

PostPosted: Sat May 18, 2019 10:45 am    Post subject: Reply with quote

Seeing the same error for Civ Beyond Earth, which was getting either a libxcb or libpthread error in dmesg for me. Recompiling libxcb, glibc, openal, pulseaudio with -mstackrealign like @PuckPoltergeist said worked for me on znver1, gcc-8, and glibc-2.29.

edit: looking some more about this, it seems like a few other packages might need -mstackrealign: https://bugs.archlinux.org/task/27560 and even having it on by default might not be a bad thing if you need to run things compiled by older versions of gcc: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=40838
Back to top
View user's profile Send private message
kajzer
Guru
Guru


Joined: 27 Nov 2014
Posts: 468

PostPosted: Mon Jun 03, 2019 11:43 am    Post subject: Reply with quote

Decided to try again and this worked for me:

/etc/portage/env/x11-libs/libxcb
Code:
CFLAGS="-O1 -march=native -pipe"
CXXFLAGS="${CFLAGS}"


/etc/portage/env/sys-libs/glibc
Code:
CFLAGS="-O2 -pipe"
CXXFLAGS="${CFLAGS}"


Kotor2 is working with this as well, I guess some other games with this problem would work too.
Back to top
View user's profile Send private message
Makersmarx
n00b
n00b


Joined: 16 Feb 2019
Posts: 14
Location: Costa Rica

PostPosted: Fri Jun 21, 2019 1:01 pm    Post subject: Reply with quote

Couldn't get game to run found below line to add on Arch forums to launch options in game. Worked right off the bat without any other changes. Hopefully works for others


Add to launch options in Steam: SSL_CERT_DIR="/etc/ssl/certs" LD_PRELOAD='./libcxxrt.so:/usr/$LIB/libstdc++.so.6' %command% -nostartupmovies

Edit: Words
_________________
Pura Vida
Back to top
View user's profile Send private message
davydm
n00b
n00b


Joined: 06 Jan 2017
Posts: 30

PostPosted: Sun Jun 30, 2019 6:08 pm    Post subject: libopenal too Reply with quote

I just had this issue where the segfault was happening in libopenal.so.1.19.1

I did:
Code:

CFLAGS="-mstackrealign" CXXFLAGS="$CFLAGS" emerge -1 media-libs/openal


and the game worked as expected. However, I didn't really want to replace my system openal to do this, and I found that Borderlands2 will try to load from it's own folder first -- copying /usr/lib/libopenal.so.1.19.1 to {steamapps}/common/Borderlands\ 2/ andthen also symlinking as libopenal.so.1:
Code:

ln -s libopenal.so.1.19.1 libopenal.so.1


and re-merging media-libs/openal with no override for CFLAGS or CXXFLAGS
Code:

emerge -1 media-libx/openal


the game still loads up fine (so I assume it's using a local libopenal)

just thought I'd add here in case anyone hit this (and perhaps anyone who has recompiled system libs would prefer to not have a requirement of one game determine compilation of a system lib)[/code]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum